libsidplayfp::dataBit< Bit > Class Template Reference

`#include <ZeroRAMBank.h>`

## Public Member Functions

void | reset ()
uint8_t | readBit (event_clock_t phi2time)
void | writeBit (event_clock_t phi2time, uint8_t value)

## Detailed Description

template<int Bit>
class libsidplayfp::dataBit< Bit >

Unused data port bits emulation, as investigated by groepaz:

- There are 2 different unused bits, 1) the output bits, 2) the input bits
- The output bits can be (re)set when the data-direction is set to output for those bits and the output bits will not drop-off to 0.
- When the data-direction for the unused bits is set to output then the unused input bits can be (re)set by writing to them, when set to 1 the drop-off timer will start which will cause the unused input bits to drop down to 0 in a certain amount of time.
- When an unused input bit already had the drop-off timer running, and is set to 1 again, the drop-off timer will restart.
- when a an unused bit changes from output to input, and the current output bit is 1, the drop-off timer will restart again

The documentation for this class was generated from the following file:

- ZeroRAMBank.h